ThreadTest.Worker (javadoc for PixTools)
Date: 2012-07-30

gov.fnal.eag.healpix.test

## Class ThreadTest.Worker

- java.lang.Object
- - java.lang.Thread
  - - gov.fnal.eag.healpix.test.ThreadTest.Worker

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    ThreadTest

      private static class ThreadTest.Worker
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `inclusive_`
    `private int` | `nest_`
    `private long` | `nside_`
    `private double` | `radius_`
    `private java.util.List` | `result_`
    `private javax.vecmath.Vector3d` | `vector_`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadTest.Worker(long nside, javax.vecmath.Vector3d vector, double radius, int nest, int inclusive)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### nside_

          private final long nside_

    - #### vector_

          private final javax.vecmath.Vector3d vector_

    - #### radius_

          private final double radius_

    - #### nest_

          private final int nest_

    - #### inclusive_

          private final int inclusive_

    - #### result_

          private java.util.List result_

  - ### Constructor Detail

    - #### ThreadTest.Worker

          ThreadTest.Worker(long nside,
                           javax.vecmath.Vector3d vector,
                           double radius,
                           int nest,
                           int inclusive)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`